<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>Akonadi::ImageProvider</name>
    <filename>classAkonadi_1_1ImageProvider.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>imageLoaded</name>
      <anchorfile>classAkonadi_1_1ImageProvider.html</anchorfile>
      <anchor>aed4dcd2fdf9a6cebb7dea26b9f495276</anchor>
      <arglist>(const QString &amp;who, const KUrl &amp;url, const QImage &amp;image)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>abortAllJobs</name>
      <anchorfile>classAkonadi_1_1ImageProvider.html</anchorfile>
      <anchor>ab2e3f5d9a7d373f05c8cedbe70e00392</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QImage</type>
      <name>loadImage</name>
      <anchorfile>classAkonadi_1_1ImageProvider.html</anchorfile>
      <anchor>a07beb63eebf8964947eb155f303a00c5</anchor>
      <arglist>(const QString &amp;who, const KUrl &amp;url, bool polishImage=false, KImageCache *cache=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akonadi::SocialFeedItem</name>
    <filename>classAkonadi_1_1SocialFeedItem.html</filename>
    <member kind="function">
      <type>QUrl</type>
      <name>avatarUrl</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a8a5d0daee6f1abebf45f511e0263af16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLiked</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>aba616f06119b1a8cef983474b283712a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShared</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a9b6c5051c52a07fb5ac756ab9c64dbdf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QVariantMap</type>
      <name>itemSourceMap</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a49f9f72ea0d26f67d08261761cbaff2f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>networkString</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a1a1fafd2b02a2562cb74b3b9b1ab5a81</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a3e3f0f642722e6d219e5c0c24a14c7d6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>postImageUrl</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a10be490e26558a9890921295b0999e98</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postInfo</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a4251b7156c29862fa0ca9356ad70ae44</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QUrl</type>
      <name>postLink</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a60616a738d09f76397a7fe17977a1b3f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postLinkTitle</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ac0f947fdcd40988e545586395f8b3b76</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; SocialFeedItem &gt;</type>
      <name>postReplies</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a608e9c368880b0936f3b0700d992fabf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postText</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>abd4ee2ca75631df0e5c0e9028ef58485</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KDateTime</type>
      <name>postTime</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a4cd41159aaefb3212bd6b760f5db6fe2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postTimeFormat</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a76ee6293e4acd998d6c613972fef5d4e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>postTimeString</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a252356bd94a44c7eea51627056e9f061</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAvatarUrl</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ae4e3daf9783bf37adc13e195bcaa61cc</anchor>
      <arglist>(const QUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemSourceMap</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a442537f3ba1e387bf09e4e719b807175</anchor>
      <arglist>(const QVariantMap &amp;itemSourceMap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLiked</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>aa72a7fdc0bc50899f16dc5b1031a0498</anchor>
      <arglist>(bool liked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNetworkString</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a9dedb3de1cd301f07ac08bd8deae3edc</anchor>
      <arglist>(const QString &amp;networkString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ab78cb676dedc9d7722b22534f980e93c</anchor>
      <arglist>(const QString &amp;postId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostImageUrl</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a72e5593ca9f7e6403b55487490d2cf00</anchor>
      <arglist>(const QUrl &amp;imageUrl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostInfo</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ad2e7a4717e6b5fc8ccf9f2a9d8ca0f1e</anchor>
      <arglist>(const QString &amp;postInfo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostLink</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ab7fe377106f9402ef943958c4f6bffab</anchor>
      <arglist>(const QUrl &amp;link)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostLinkTitle</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a319ed533eceb8eaaf37136292bd09145</anchor>
      <arglist>(const QString &amp;linkTitle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostReplies</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a10b1a644fa408afda724e0d65d00958a</anchor>
      <arglist>(const QList&lt; SocialFeedItem &gt; &amp;replies)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostText</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>aada2bf312815f334a0c43180000f639a</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPostTime</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a46a4748c974dc47aae2214276d6d1b90</anchor>
      <arglist>(const QString &amp;postTimeString, const QString &amp;postTimeFormat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShared</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ab19822c76de059e5642dc775c5fb9add</anchor>
      <arglist>(bool shared)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSharedFrom</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a9d908c1b8b5ee9bf062e83a335189f61</anchor>
      <arglist>(const QString &amp;sharedFrom)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSharedFromId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a4d29195fe1d40a06696941c7d49b141b</anchor>
      <arglist>(const QString &amp;sharedFromId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUserDisplayName</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>aef91ba2393ae4716034feae86524c4f5</anchor>
      <arglist>(const QString &amp;userDisplayName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUserId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a176be675c5cacba40e2bee41c479e0b1</anchor>
      <arglist>(const QString &amp;userId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUserName</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ae0637abead7d39d46c4433e4126474da</anchor>
      <arglist>(const QString &amp;userName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>sharedFrom</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a3507f385d597f4e539bf273455bc51dc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>sharedFromId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a7da4cd91f420262719daca0a640661e3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userDisplayName</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>acd0b6170f21839973f04bf99e8cbc5c9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userId</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>a1de2837edc839396e58f254aeb86297a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userName</name>
      <anchorfile>classAkonadi_1_1SocialFeedItem.html</anchorfile>
      <anchor>ae82b539d2e50bfe9d33e6bb8017964e0</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Akonadi Social Utils - a collections of social-networks utilities for Akonadi</title>
    <filename>index</filename>
    <docanchor file="index" title="Purpose">purpose</docanchor>
    <docanchor file="index" title="Description">desc</docanchor>
  </compound>
</tagfile>
