<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KPIMTextEdit::EMailQuoteHighlighter</name>
    <filename>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</filename>
    <member kind="function">
      <type></type>
      <name>EMailQuoteHighlighter</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>a3dd9519af9012829dc1faf143652ab24</anchor>
      <arglist>(TextEdit *textEdit, const QColor &amp;normalColor=Qt::black, const QColor &amp;quoteDepth1=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth2=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth3=QColor(0x00, 0x80, 0x00), const QColor &amp;misspelledColor=Qt::red)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>highlightBlock</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>af89771f23380b96195c0afd7a4436ef8</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setQuoteColor</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>ad9fa7eacc4821f48271deafc565cf08d</anchor>
      <arglist>(const QColor &amp;normalColor, const QColor &amp;quoteDepth1, const QColor &amp;quoteDepth2, const QColor &amp;quoteDepth3, const QColor &amp;misspelledColor=Qt::red)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>toggleSpellHighlighting</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>a9d71808a5d0cd9fe51f2f5212f498fa6</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>highlightParagraph</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>ac40c67dbde0ce86ef777cea4211662ce</anchor>
      <arglist>(const QString &amp;text, const QColor &amp;quoteDepth1=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth2=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth3=QColor(0x00, 0x80, 0x00))</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>highlightText</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>a9b181da27286223ac9ffea6e17e620a4</anchor>
      <arglist>(const QString &amp;text, const QColor &amp;quoteDepth1=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth2=QColor(0x00, 0x80, 0x00), const QColor &amp;quoteDepth3=QColor(0x00, 0x80, 0x00))</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setMisspelled</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>a620981696bacd252710deb8ad1615933</anchor>
      <arglist>(int start, int count)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>unsetMisspelled</name>
      <anchorfile>classKPIMTextEdit_1_1EMailQuoteHighlighter.html</anchorfile>
      <anchor>ab2cbdcea91a2c0a759d3823842b1f2ac</anchor>
      <arglist>(int start, int count)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KPIMTextEdit::EmbeddedImage</name>
    <filename>structKPIMTextEdit_1_1EmbeddedImage.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>contentID</name>
      <anchorfile>structKPIMTextEdit_1_1EmbeddedImage.html</anchorfile>
      <anchor>a1b2b437809a256b677cfdbcb2811fb39</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>image</name>
      <anchorfile>structKPIMTextEdit_1_1EmbeddedImage.html</anchorfile>
      <anchor>a217ff45a9b09d4c1587cb21fe3ffe285</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>imageName</name>
      <anchorfile>structKPIMTextEdit_1_1EmbeddedImage.html</anchorfile>
      <anchor>a2a708cf1b51add758c0c3d1f3dd15cfc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KPIMTextEdit::ImageWithName</name>
    <filename>structKPIMTextEdit_1_1ImageWithName.html</filename>
    <member kind="variable">
      <type>QImage</type>
      <name>image</name>
      <anchorfile>structKPIMTextEdit_1_1ImageWithName.html</anchorfile>
      <anchor>a48295613085f5187389614c5fb1b017b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>structKPIMTextEdit_1_1ImageWithName.html</anchorfile>
      <anchor>a48898f4096462aeb0b35811eaa751d93</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIMTextEdit::TextEdit</name>
    <filename>classKPIMTextEdit_1_1TextEdit.html</filename>
    <member kind="function">
      <type></type>
      <name>TextEdit</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a59945c6f9cad8c2e8ffd263944772ab6</anchor>
      <arglist>(const QString &amp;text, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TextEdit</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a32f19da5c4b8a0fd0d4404f21a1ea2db</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TextEdit</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>aeea400c64c6c3e6404d6360ab1d7fae5</anchor>
      <arglist>(QWidget *parent, const QString &amp;configFile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TextEdit</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a6308d1aeab3b648ead096a6a8779882a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addImage</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a70725f96d9de1b9799a7f71c5bbb74b2</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addImage</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a7a42202adff6bcbab1ce99f1dc06105c</anchor>
      <arglist>(const KUrl &amp;url, int width, int height)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>configFile</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a5ad802ae4c625fd223ca5a23daee7df8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>createActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a0c9218d4822869d01693eac270032e05</anchor>
      <arglist>(KActionCollection *actionCollection)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString</type>
      <name>defaultQuoteSign</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>ab4f31e5f92a5127fcc7b8c93c657679a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteCurrentLine</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>ab0c7b5d318a7e713b6ae39bca2a80869</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ImageList</type>
      <name>embeddedImages</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>aa5abdec27ef805735ef9a5ef37b6acc9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enableEmoticonActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a46a994341a2c5e002cad26f871a59263</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enableImageActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>ac90e175aedbc660419d60ff6fb3571f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ImageWithNameList</type>
      <name>imagesWithName</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>ae66cac3856df4c955bd2bbf530da69f0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertImage</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>aac095886a91e6cc526f58bc3ac66e825</anchor>
      <arglist>(const QImage &amp;image, const QFileInfo &amp;info)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnableEmoticonActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a495bc4cd11fec8126531eed0a7e5d33b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnableImageActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a06ddf611663166105d6e0ba0adce816d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnableInsertHtmlActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a296f52b501aa9eca1a6d1c4eb3ea7117</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnableInsertTableActions</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a88c5515f0ea72d28e60eaa3efc415afe</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFormattingUsed</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a40a957a0e1e96f1515118d8d94be59b9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLineQuoted</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a85db4e8452c15bdcef58b8532da9a61f</anchor>
      <arglist>(const QString &amp;line) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadImage</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a583d975e58cfed7cc0627b896025ed17</anchor>
      <arglist>(const QImage &amp;image, const QString &amp;matchName, const QString &amp;resourceName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>quoteLength</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a0195d5d1097cd27ed463a867aa317ac3</anchor>
      <arglist>(const QString &amp;line) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setHighlighterColors</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>aec9574154722ea374323af3e6be0cb54</anchor>
      <arglist>(EMailQuoteHighlighter *highlighter)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toCleanPlainText</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a032c1ebe190fe7dada369dc4a258d072</anchor>
      <arglist>(const QString &amp;plainText) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toCleanPlainText</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>afb618810987905558ec615a7bf05d3da</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toWrappedPlainText</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>af30a21caa3fdb100a4a02fa68327c9d9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toWrappedPlainText</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a8cd7f92a4dc2a0233180543e30b0b034</anchor>
      <arglist>(QTextDocument *document) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QByteArray</type>
      <name>imageNamesToContentIds</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a823572150f38e4968730fa547fc62d91</anchor>
      <arglist>(const QByteArray &amp;htmlBody, const ImageList &amp;imageList)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>canInsertFromMimeData</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a2e2ee486764835e0724e43089abd716e</anchor>
      <arglist>(const QMimeData *source) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createHighlighter</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a13f620713cc2a7b38c8ae0255554b346</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a80adb409d6ad358a8942eb276a26244e</anchor>
      <arglist>(QObject *o, QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>insertFromMimeData</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a3a162e5eb202022caaa7bb78dc3528d8</anchor>
      <arglist>(const QMimeData *source)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>isSpellCheckingEnabled</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a2fe48d36fcb66c40b672db747b7b11f8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressEvent</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>ab3fd02ec0efbf5502ed468a279ca3e01</anchor>
      <arglist>(QKeyEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setSpellCheckingEnabled</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a13e7a998a042223ed795572a9d100812</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldBlockBeSpellChecked</name>
      <anchorfile>classKPIMTextEdit_1_1TextEdit.html</anchorfile>
      <anchor>a1862528300489d152915bd11533c46af</anchor>
      <arglist>(const QString &amp;block) const</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KPIMTextEdit</name>
    <filename>namespaceKPIMTextEdit.html</filename>
    <namespace>KPIMTextEdit::TextUtils</namespace>
    <class kind="class">KPIMTextEdit::EMailQuoteHighlighter</class>
    <class kind="struct">KPIMTextEdit::EmbeddedImage</class>
    <class kind="struct">KPIMTextEdit::ImageWithName</class>
    <class kind="class">KPIMTextEdit::TextEdit</class>
  </compound>
  <compound kind="namespace">
    <name>KPIMTextEdit::TextUtils</name>
    <filename>namespaceKPIMTextEdit_1_1TextUtils.html</filename>
    <member kind="function">
      <type>KPIMTEXTEDIT_EXPORT bool</type>
      <name>containsFormatting</name>
      <anchorfile>namespaceKPIMTextEdit_1_1TextUtils.html</anchorfile>
      <anchor>a2b2760f189372791045f179e54496586</anchor>
      <arglist>(const QTextDocument *document)</arglist>
    </member>
    <member kind="function">
      <type>KPIMTEXTEDIT_EXPORT QString</type>
      <name>flowText</name>
      <anchorfile>namespaceKPIMTextEdit_1_1TextUtils.html</anchorfile>
      <anchor>aac70677c4de20da72a54111f62786466</anchor>
      <arglist>(QString &amp;text, const QString &amp;indent, int maxLength)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>KPIMTextedit - A textedit with PIM-specific features.</title>
    <filename>index</filename>
    <docanchor file="index" title="Purpose">purpose</docanchor>
    <docanchor file="index" title="Description">desc</docanchor>
  </compound>
</tagfile>
