<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>location.hh</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.14.10/kholidays/parsers/plan2/</path>
    <filename>location_8hh</filename>
    <includes id="position_8hh" name="position.hh" local="yes" imported="no">position.hh</includes>
    <class kind="class">KHolidays::location</class>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>location_8hh.html</anchorfile>
      <anchor>a11d1a14a0d3c5d26db583a29cc66a383</anchor>
      <arglist>(const location &amp;loc1, const location &amp;loc2)</arglist>
    </member>
    <member kind="function">
      <type>const location</type>
      <name>operator+</name>
      <anchorfile>location_8hh.html</anchorfile>
      <anchor>a4299246ca151632f1018ae2892a88e05</anchor>
      <arglist>(const location &amp;begin, const location &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>const location</type>
      <name>operator+</name>
      <anchorfile>location_8hh.html</anchorfile>
      <anchor>aa390dc7e62db865c2359ae61a7185459</anchor>
      <arglist>(const location &amp;begin, unsigned int width)</arglist>
    </member>
    <member kind="function">
      <type>location &amp;</type>
      <name>operator+=</name>
      <anchorfile>location_8hh.html</anchorfile>
      <anchor>a35be0bcc6ff45d5c72789ed2218bca1b</anchor>
      <arglist>(location &amp;res, unsigned int width)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>location_8hh.html</anchorfile>
      <anchor>ade89061f5aa0849de8707dfb20bea6a9</anchor>
      <arglist>(std::ostream &amp;ostr, const location &amp;loc)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>location_8hh.html</anchorfile>
      <anchor>acffa446e0244e1e3b9872db1a471fba9</anchor>
      <arglist>(const location &amp;loc1, const location &amp;loc2)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>position.hh</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.14.10/kholidays/parsers/plan2/</path>
    <filename>position_8hh</filename>
    <class kind="class">KHolidays::position</class>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>position_8hh.html</anchorfile>
      <anchor>a0a8a06cbbb1478b26595c06120e713ca</anchor>
      <arglist>(const position &amp;pos1, const position &amp;pos2)</arglist>
    </member>
    <member kind="function">
      <type>const position</type>
      <name>operator+</name>
      <anchorfile>position_8hh.html</anchorfile>
      <anchor>a922ac58e6f97844d96303ffda9f67fa5</anchor>
      <arglist>(const position &amp;begin, const int width)</arglist>
    </member>
    <member kind="function">
      <type>const position &amp;</type>
      <name>operator+=</name>
      <anchorfile>position_8hh.html</anchorfile>
      <anchor>aa5009bb9c176a39ee088dd55d049ad0e</anchor>
      <arglist>(position &amp;res, const int width)</arglist>
    </member>
    <member kind="function">
      <type>const position</type>
      <name>operator-</name>
      <anchorfile>position_8hh.html</anchorfile>
      <anchor>aea03734872e6c8761b4b6612c4d2f392</anchor>
      <arglist>(const position &amp;begin, const int width)</arglist>
    </member>
    <member kind="function">
      <type>const position &amp;</type>
      <name>operator-=</name>
      <anchorfile>position_8hh.html</anchorfile>
      <anchor>ae12310c50d2b08aa4c8bca38c19116e8</anchor>
      <arglist>(position &amp;res, const int width)</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>position_8hh.html</anchorfile>
      <anchor>a75c9f942eede62c2d5ecb098f6dc2765</anchor>
      <arglist>(std::ostream &amp;ostr, const position &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>position_8hh.html</anchorfile>
      <anchor>af5a5e5ad3d1f0d94397ed9002d5da275</anchor>
      <arglist>(const position &amp;pos1, const position &amp;pos2)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayParserDriver</name>
    <filename>classKHolidays_1_1HolidayParserDriver.html</filename>
    <member kind="function">
      <type></type>
      <name>HolidayParserDriver</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a92ea754434396faffda1cddbd7073395</anchor>
      <arglist>(const QString &amp;filePath)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~HolidayParserDriver</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a254f1949111fa797a1c68a5c1b682df8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>error</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a092c23aafe8d91c853af845881c681b1</anchor>
      <arglist>(const QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileCountryCode</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>aecbcd9aaa7dcc883645feaa6dfa944e3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileDescription</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>abb9c3bdabefb7cfa2b8fca99e53a2452</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileLanguageCode</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>acfd5ca54a60d0a018d44f47a20a0e6da</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>fileName</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a0e75c1513a7f061ab5d656842d2174ef</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Holiday::List</type>
      <name>parseHolidays</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a83c8b05e7209bb2f0a2e3f6108a90f48</anchor>
      <arglist>(const QDate &amp;startDate, const QDate &amp;endDate, Holiday::MultidayMode multidayMode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Holiday::List</type>
      <name>parseHolidays</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a3166d5e061cfc897360e7fe6b31f8068</anchor>
      <arglist>(const QDate &amp;date, Holiday::MultidayMode multidayMode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Holiday::List</type>
      <name>parseHolidays</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>afa2feccd2001cbcb1e73ae3669c2a91f</anchor>
      <arglist>(int calendarYear, const QString &amp;calendarType, Holiday::MultidayMode multidayMode)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>parse</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a6b558f1f9ec8b4511861beca250d412b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>parseMetadata</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>af7f762e4fb1b5ee93092e6c364142c21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setParseCalendar</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a520b79ab034da2392996365020ef92c5</anchor>
      <arglist>(const QString &amp;calendarType)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setParseStartEnd</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriver.html</anchorfile>
      <anchor>a0292751f1f3c54650bcbd9764eeab772</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayParserDriverPlan</name>
    <filename>classKHolidays_1_1HolidayParserDriverPlan.html</filename>
    <base>KHolidays::HolidayParserDriver</base>
    <member kind="function">
      <type></type>
      <name>HolidayParserDriverPlan</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a1ce39a59d3dc7dd9a7d9fc31bd3ab342</anchor>
      <arglist>(const QString &amp;planFilename)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~HolidayParserDriverPlan</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>af026a21e418beea38ba52680297ab225</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>ae352aa5b3a4f03c10c1d102160bb8270</anchor>
      <arglist>(const KHolidays::location &amp;errorLocation, const QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a9dfee9809372fc8240dcb062c572f9ff</anchor>
      <arglist>(const QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parse</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a5aafe49754c11ebc1312a85b667b8a97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseMetadata</name>
      <anchorfile>classKHolidays_1_1HolidayParserDriverPlan.html</anchorfile>
      <anchor>a54598632e7db895e38ba866a5d75a501</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayParserPlan</name>
    <filename>classKHolidays_1_1HolidayParserPlan.html</filename>
    <class kind="union">KHolidays::HolidayParserPlan::semantic_type</class>
    <class kind="struct">KHolidays::HolidayParserPlan::token</class>
    <member kind="typedef">
      <type>int</type>
      <name>debug_level_type</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>ae6efc9291b1d7b5c06e4b6261701f52f</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>location</type>
      <name>location_type</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>ac24699aaf215999aa060fa80b266958e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>token::yytokentype</type>
      <name>token_type</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a4de1c94a6689dfa96167f4e48d67a1e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HolidayParserPlan</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>aa95d995f6eac0b6ad4cc25a5f893d019</anchor>
      <arglist>(class HolidayParserDriverPlan &amp;driver_yyarg)</arglist>
    </member>
    <member kind="function">
      <type>debug_level_type</type>
      <name>debug_level</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a7d2f6967d10835441f580c8eacdb13d2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>debug_stream</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a559236da1698bca77d01f66e17b31cb3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>parse</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a96a67980b60ce336873f960f3a8b2faf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_debug_level</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a59dc3354fc26114ba730ec932e52f554</anchor>
      <arglist>(debug_level_type l)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_debug_stream</name>
      <anchorfile>classKHolidays_1_1HolidayParserPlan.html</anchorfile>
      <anchor>a7b225738e05b8ebcfbab6bd9b91dc509</anchor>
      <arglist>(std::ostream &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::HolidayScannerPlan</name>
    <filename>classKHolidays_1_1HolidayScannerPlan.html</filename>
  </compound>
  <compound kind="class">
    <name>KHolidays::location</name>
    <filename>classKHolidays_1_1location.html</filename>
    <member kind="function">
      <type></type>
      <name>location</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a32a7230c9a33e20f40a9ca6f80d3d8f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initialize</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a589dec5baaa9347f6779a9fe63c76c91</anchor>
      <arglist>(std::string *fn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>step</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a1f0d0064a4f10ed8b2208ba4a8c15619</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>columns</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a5871d7eec9b7f328094df7bc2f930ba8</anchor>
      <arglist>(unsigned int count=1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lines</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>aec0003ad9eca58dd0684ad510c8ebb0e</anchor>
      <arglist>(unsigned int count=1)</arglist>
    </member>
    <member kind="variable">
      <type>position</type>
      <name>begin</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a0c730dc96e562a46c5388b0b01c1cf6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>position</type>
      <name>end</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>aacc5de0a3d49dddc998f538872b38fc2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>step</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a1f0d0064a4f10ed8b2208ba4a8c15619</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>columns</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>a5871d7eec9b7f328094df7bc2f930ba8</anchor>
      <arglist>(unsigned int count=1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lines</name>
      <anchorfile>classKHolidays_1_1location.html</anchorfile>
      <anchor>aec0003ad9eca58dd0684ad510c8ebb0e</anchor>
      <arglist>(unsigned int count=1)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::LunarPhase</name>
    <filename>classKHolidays_1_1LunarPhase.html</filename>
    <member kind="enumvalue">
      <name>FirstQuarter</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a182adc1d93234560bc4f2050e45b1d47</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FullMoon</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a0baad3429b9d3fdf7e55ce6ea571d082</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LastQuarter</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a8c8a08f9b072028e23878e5aa7d82bcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NewMoon</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2af4907e0a05647e540d38a96d65a0bc83</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>None</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a32a0aa410419112797252ba675f49d6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>Phase</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NewMoon</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2af4907e0a05647e540d38a96d65a0bc83</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FirstQuarter</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a182adc1d93234560bc4f2050e45b1d47</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LastQuarter</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a8c8a08f9b072028e23878e5aa7d82bcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FullMoon</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a0baad3429b9d3fdf7e55ce6ea571d082</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>None</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a55afba64aa078d68dac385fe144a85e2a32a0aa410419112797252ba675f49d6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Phase</type>
      <name>phaseAtDate</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a36dc746eb4106d3c10f695f4680d5cbe</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>phaseName</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>ae2649d6c1b7138dc1ff82d8feb27eeeb</anchor>
      <arglist>(Phase phase)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>phaseNameAtDate</name>
      <anchorfile>classKHolidays_1_1LunarPhase.html</anchorfile>
      <anchor>a323272a53c3ed31991eda9726125bc47</anchor>
      <arglist>(const QDate &amp;date)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHolidays::position</name>
    <filename>classKHolidays_1_1position.html</filename>
    <member kind="function">
      <type></type>
      <name>position</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a2556811a9d536ab07774554e7d7f1a62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initialize</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>adbdf4aec015edf64400a7511805166ca</anchor>
      <arglist>(std::string *fn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lines</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>aa47dbaa4d737fa34a6edc8a73fb91c03</anchor>
      <arglist>(int count=1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>columns</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>aab77c98030cffd4c1dca4462c5faba13</anchor>
      <arglist>(int count=1)</arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>column</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a28e50582f41959bfb7a8c3234d22765d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string *</type>
      <name>filename</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a95a66368c657e8cb07e417505953e6f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>line</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>a70bd0f0c091e8c82df32d53b032806d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lines</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>aa47dbaa4d737fa34a6edc8a73fb91c03</anchor>
      <arglist>(int count=1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>columns</name>
      <anchorfile>classKHolidays_1_1position.html</anchorfile>
      <anchor>aab77c98030cffd4c1dca4462c5faba13</anchor>
      <arglist>(int count=1)</arglist>
    </member>
  </compound>
  <compound kind="union">
    <name>KHolidays::HolidayParserPlan::semantic_type</name>
    <filename>unionKHolidays_1_1HolidayParserPlan_1_1semantic__type.html</filename>
  </compound>
  <compound kind="class">
    <name>KHolidays::slice</name>
    <filename>classKHolidays_1_1slice.html</filename>
    <templarg>T</templarg>
    <templarg>S</templarg>
  </compound>
  <compound kind="struct">
    <name>KHolidays::HolidayParserPlan::token</name>
    <filename>structKHolidays_1_1HolidayParserPlan_1_1token.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KHolidays::SunRiseSet</name>
    <filename>namespaceKHolidays_1_1SunRiseSet.html</filename>
    <member kind="function">
      <type>KHOLIDAYS_EXPORT QTime</type>
      <name>utcSunrise</name>
      <anchorfile>namespaceKHolidays_1_1SunRiseSet.html</anchorfile>
      <anchor>ab139ae505de3c3b05c77046f06989287</anchor>
      <arglist>(const QDate &amp;date, double latitude, double longitude)</arglist>
    </member>
    <member kind="function">
      <type>KHOLIDAYS_EXPORT QTime</type>
      <name>utcSunset</name>
      <anchorfile>namespaceKHolidays_1_1SunRiseSet.html</anchorfile>
      <anchor>a2e5a51eb6fb5138417b88b3188bd9e99</anchor>
      <arglist>(const QDate &amp;date, double latitude, double longitude)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>KHolidays - the KDE library for regional holiday information.</title>
    <filename>index</filename>
    <docanchor file="index" title="Purpose">purpose</docanchor>
    <docanchor file="index" title="Description">desc</docanchor>
  </compound>
</tagfile>
