<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>MBoxFile</name>
    <filename>classMBoxFile.html</filename>
    <member kind="function">
      <type></type>
      <name>MBoxFile</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>ac6193fb5a732c3aef8f1624f7ccf84f0</anchor>
      <arglist>(const UrlInfo *info, MBoxProtocol *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MBoxFile</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>abd1d8788fb7bfe88de49ce463a4b8dcf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>lock</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>aa1f7e0a81ef83f7970c5b8a735ca4f1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unlock</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>a1da7dbc86509f4345743560c5591adcd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const UrlInfo *const</type>
      <name>m_info</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>aa04cff696c2aa36bfaabbe1b7f6de39d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>MBoxProtocol *const</type>
      <name>m_mbox</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>aa6f62c9cf19f0b270f2914c9348e83dd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MBoxProtocol</name>
    <filename>classMBoxProtocol.html</filename>
    <member kind="function">
      <type></type>
      <name>MBoxProtocol</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>a67f04bebf389cbbfec242787685e3baa</anchor>
      <arglist>(const QByteArray &amp;, const QByteArray &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MBoxProtocol</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>ac999d765adb026b72c1c8ed7dbdec300</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitError</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>abbf8c9611d1ca9b144ab4ab407f2ea68</anchor>
      <arglist>(int _errno, const QString &amp;arg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>a18a9fe664fadb23e5b6cb78fbbb11a7d</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>listDir</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>a334d5abb5f0e289dc174757258e6d2b9</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mimetype</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>acd9550ce9fb518bd1cae53d3f89b7957</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stat</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>a5061c26f3288286722997fa2126ff728</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ReadMBox</name>
    <filename>classReadMBox.html</filename>
    <base>MBoxFile</base>
    <member kind="function">
      <type></type>
      <name>ReadMBox</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a45755b85b32d9f18d67fac0777edd8b1</anchor>
      <arglist>(const UrlInfo *info, MBoxProtocol *parent, bool onlynew=false, bool savetime=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ReadMBox</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a18288c0958e189e8aac86626bcc04f4b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atEnd</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>ab76a31f1dbcad9fb8b4a902a076f897d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentID</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>aeace1461228dca7d6953e22cb18b86ab</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentLine</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a4951affb346536cbb440f4ac5459cfe2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inListing</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a70f161a793b47c179832a300fc3260c1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>nextLine</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a2000d3acc7be6ee6ff25eb9bebb8a01b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rewind</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a6b55627c16f8932be876434e68e62133</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>searchMessage</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a835d9d84d06ac133ccfac2b14b5baa1c</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>skipMessage</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>aba324496f8bd3c91675f88da96e00eaf</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Stat</name>
    <filename>classStat.html</filename>
    <member kind="function">
      <type></type>
      <name>Stat</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>ae928e5dc2e02aa907902d4f3b369ab4a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Stat</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>a13facc867ac63d702ec5af846886b3b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIO::UDSEntry</type>
      <name>stat</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>a9947adb737b2d1244a58717e44048928</anchor>
      <arglist>(const UrlInfo &amp;info)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIO::UDSEntry</type>
      <name>stat</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>a4d7f7b795e9824173558b6c54cdadd53</anchor>
      <arglist>(ReadMBox &amp;mbox, const UrlInfo &amp;info)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIO::UDSEntry</type>
      <name>statDirectory</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>a2951d323b4675506f0971074277f5674</anchor>
      <arglist>(const UrlInfo &amp;info)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIO::UDSEntry</type>
      <name>statMessage</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>a21c04572f1725daaf0608a6d50afd928</anchor>
      <arglist>(const UrlInfo &amp;info)</arglist>
    </member>
  </compound>
</tagfile>
