<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KMBox::MBox</name>
    <filename>classKMBox_1_1MBox.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>LockType</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>ad104aaa0fb21e6c9baf6964a7760908d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MBox</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a52d40121e3eebf8c70d25524ada04fef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MBox</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a40ad5b59a247773f4e929e8e5dc1f425</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>MBoxEntry</type>
      <name>appendMessage</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a5fedba73cee0630b3f944bcc24ecdcb2</anchor>
      <arglist>(const KMime::Message::Ptr &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>MBoxEntry::List</type>
      <name>entries</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>aa76c47a32c0f147b02b87def5c4b2c54</anchor>
      <arglist>(const MBoxEntry::List &amp;deletedEntries=MBoxEntry::List()) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a8f370b99c71817e36dce9529a52e20fa</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a6f7d7e599e245f3e6fcf7fb824cc2a5d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a394cca3b3e6532d91485beee22658084</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lock</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a3439681d9523517b7f3ea06ee7f2de50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>locked</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>ab2f244f5c75299c4af8dfb833954b80c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>purge</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>aaf719819a35a0056182f21753b830bb1</anchor>
      <arglist>(const MBoxEntry::List &amp;deletedEntries, QList&lt; MBoxEntry::Pair &gt; *movedEntries=0)</arglist>
    </member>
    <member kind="function">
      <type>KMime::Message *</type>
      <name>readMessage</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>ae8c9bddf55d35c545538ea5d0959f955</anchor>
      <arglist>(const MBoxEntry &amp;entry)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>readMessageHeaders</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>ae6da75689e2c1d1443285cf550d86449</anchor>
      <arglist>(const MBoxEntry &amp;entry)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>readRawMessage</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a02e66b4306aad72eecf9b3cbf3693b03</anchor>
      <arglist>(const MBoxEntry &amp;entry)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a756d08cc1954a1b9aa710f4c09f09647</anchor>
      <arglist>(const QString &amp;fileName=QString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLockFile</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a3bc68f23e9b068a6ffe47abf6ac21ea7</anchor>
      <arglist>(const QString &amp;lockFile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setLockType</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a5ff45c5bb927e086c0bb98a3927fa542</anchor>
      <arglist>(LockType ltype)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a0ffd6488665832b932d9c2ef5270f374</anchor>
      <arglist>(bool ro=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUnlockTimeout</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>a900f67b6bd9a73172febd63e7d71f164</anchor>
      <arglist>(int msec)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>unlock</name>
      <anchorfile>classKMBox_1_1MBox.html</anchorfile>
      <anchor>abf0ef7017bcb330733247abd8b4a81f5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMBox::MBoxEntry</name>
    <filename>classKMBox_1_1MBoxEntry.html</filename>
    <member kind="typedef">
      <type>QList&lt; MBoxEntry &gt;</type>
      <name>List</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>ab3a90184128dfefd8a8b4974661420e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPair&lt; MBoxEntry, MBoxEntry &gt;</type>
      <name>Pair</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>a76a32c2718bfc2a425910a313e97c306</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MBoxEntry</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>a18aee8d8caba95fd59ad9ee9b7a1feff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MBoxEntry</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>a5c8cf7b36b315e84e88213ad2ac4d6f4</anchor>
      <arglist>(quint64 offset)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MBoxEntry</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>a09b5919b0f4e31f038591c002543bc9b</anchor>
      <arglist>(const MBoxEntry &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MBoxEntry</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>a00971da961005646c4114d0a6778ad1d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>a89fb3044d3bcb3d73cef9903a8d1f79d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>quint64</type>
      <name>messageOffset</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>a81284a5d79ecb3efef42967571cc5c0c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>quint64</type>
      <name>messageSize</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>a9a0532b511e30241ad308505966946e8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>a9fec2c87d104b942b3543b0e1bfe6a39</anchor>
      <arglist>(const MBoxEntry &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>MBoxEntry &amp;</type>
      <name>operator=</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>ac7db99b2d638c4d38feee77d1559d6df</anchor>
      <arglist>(const MBoxEntry &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>a3663a7d1feb6e346eb8bb9454c8e3a78</anchor>
      <arglist>(const MBoxEntry &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>quint64</type>
      <name>separatorSize</name>
      <anchorfile>classKMBox_1_1MBoxEntry.html</anchorfile>
      <anchor>a25d8f1e0111d24bbd03fbd9da3ea8e9c</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>KMBox -  A library for accessing mail storages in MBox format.</title>
    <filename>index</filename>
  </compound>
</tagfile>
