<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>email.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.14.10/kpimutils/</path>
    <filename>email_8cpp</filename>
    <includes id="email_8h" name="email.h" local="yes" imported="no">email.h</includes>
  </compound>
  <compound kind="file">
    <name>email.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.14.10/kpimutils/</path>
    <filename>email_8h</filename>
    <member kind="enumeration">
      <type></type>
      <name>EmailParseResult</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>ga86cd0322770cfdc7df6621fcd32961e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AddressOk</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a95305ad962cc1d86ff0dbde62afe5b81</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AddressEmpty</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a11def90701bc9d6281e8963ecef832fd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnexpectedEnd</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4afb5555bb89278c7b549fbd6a84b62f33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnbalancedParens</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4abf74ed9f2f30ffbcb536c625f77104a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MissingDomainPart</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4ab9f17af520f125163e4d1eca40a729ac</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnclosedAngleAddr</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a505058bb4aed2588cd152f3839c132e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnopenedAngleAddr</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a19ce4a4bc3f7f085b568a4be8421bae8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TooManyAts</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a138b5bc9762715535322749f56cc36fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnexpectedComma</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a5b9f951a82fdf4b14be63bcbdb5c2dcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TooFewAts</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a8d5af0f8b775e4d95c1ae2572efba3e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MissingLocalPart</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a6180ad1383a7668eeef894b1d9cbd716</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnbalancedQuote</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a218d2d0b1c94a2424a997905ae62fff4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DisallowedChar</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4af4736a216ddffabd6d5c9a62bbb70bf3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InvalidDisplayName</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a3fa5d2becf8d8979739a8f414144891f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TooFewDots</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a0f4804eccd687894e642a8384012d4a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>compareEmail</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>ga21797029db7501e5ca75d1ab6011b1e2</anchor>
      <arglist>(const QString &amp;email1, const QString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>decodeMailtoUrl</name>
      <anchorfile>email_8h.html</anchorfile>
      <anchor>a327b5dc636c1c4218a50fe81f2e06428</anchor>
      <arglist>(const KUrl &amp;mailtoUrl)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>emailParseResultToString</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gad6cfa61dc8f07d9cca4bd8c895c41b80</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>KUrl</type>
      <name>encodeMailtoUrl</name>
      <anchorfile>email_8h.html</anchorfile>
      <anchor>afc707a1f6cfafd232ed773a8a1e64cc2</anchor>
      <arglist>(const QString &amp;mailbox)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>extractEmailAddress</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>gaca5edc7b1a58c3b859e51c1eaaf98b0c</anchor>
      <arglist>(const QByteArray &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>extractEmailAddress</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>gade4583f4eaea1c6d3f7c6b8637d4adff</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>extractEmailAddressAndName</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>gadbdd026e5a877a832e036955a7fcdb4b</anchor>
      <arglist>(const QString &amp;aStr, QString &amp;mail, QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>firstEmailAddress</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>ga14c4a5aeb059e886fdade667d67115a8</anchor>
      <arglist>(const QByteArray &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>firstEmailAddress</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>gadb1de5ffad533f57ad5ab0f1007cf481</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fromIdn</name>
      <anchorfile>group__emailidn.html</anchorfile>
      <anchor>ga8afc7ffe91f1dcaf60f537f6519df347</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>EmailParseResult</type>
      <name>isValidAddress</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>ga2d7c3eb0b6470a67f1690ae0e1289c12</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>EmailParseResult</type>
      <name>isValidAddressList</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gab466cffd3d3143cda07263c5efbb8426</anchor>
      <arglist>(const QString &amp;aStr, QString &amp;badAddr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSimpleAddress</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gadf2a1bc99ab8a016c1c782ac574a58de</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndDecodeIdn</name>
      <anchorfile>group__emailidn.html</anchorfile>
      <anchor>ga41ce79cbfb0ae33876aac16bd0de8510</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndEncodeIdn</name>
      <anchorfile>group__emailidn.html</anchorfile>
      <anchor>ga4e13e707612e5fb7c112b2e541f9bcb4</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizedAddress</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>ga9edf4af52487aa483261f032194c83e6</anchor>
      <arglist>(const QString &amp;displayName, const QString &amp;addrSpec, const QString &amp;comment=QString())</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>ga9f2eec5b7c147888c8e5c2a67527e15f</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gaca6ec1f335526bf15c1bff10fad0d339</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>ga2674c9488e2d45c4afb89c98b1af4b36</anchor>
      <arglist>(const QByteArray &amp;address, QByteArray &amp;displayName, QByteArray &amp;addrSpec, QByteArray &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gac58d9ccc074a524e95af72372b507984</anchor>
      <arglist>(const QString &amp;address, QString &amp;displayName, QString &amp;addrSpec, QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>splitAddressList</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gac31a849c298710a0d6e363962e3759c3</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toIdn</name>
      <anchorfile>group__emailidn.html</anchorfile>
      <anchor>ga3a9e88d83f47d7c231e1218538e46b5e</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>linklocator.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.14.10/kpimutils/</path>
    <filename>linklocator_8cpp</filename>
    <includes id="linklocator_8h" name="linklocator.h" local="yes" imported="no">linklocator.h</includes>
  </compound>
  <compound kind="file">
    <name>linklocator.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.14.10/kpimutils/</path>
    <filename>linklocator_8h</filename>
    <class kind="class">KPIMUtils::LinkLocator</class>
  </compound>
  <compound kind="file">
    <name>processes.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.14.10/kpimutils/</path>
    <filename>processes_8cpp</filename>
    <includes id="processes_8h" name="processes.h" local="yes" imported="no">processes.h</includes>
  </compound>
  <compound kind="file">
    <name>processes.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.14.10/kpimutils/</path>
    <filename>processes_8h</filename>
  </compound>
  <compound kind="file">
    <name>spellingfilter.cpp</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.14.10/kpimutils/</path>
    <filename>spellingfilter_8cpp</filename>
    <includes id="spellingfilter_8h" name="spellingfilter.h" local="yes" imported="no">spellingfilter.h</includes>
  </compound>
  <compound kind="file">
    <name>spellingfilter.h</name>
    <path>/builddir/build/BUILD/kdepimlibs-4.14.10/kpimutils/</path>
    <filename>spellingfilter_8h</filename>
    <includes id="linklocator_8h" name="linklocator.h" local="yes" imported="no">linklocator.h</includes>
    <class kind="class">KPIMUtils::SpellingFilter</class>
  </compound>
  <compound kind="class">
    <name>KPIMUtils::EmailValidator</name>
    <filename>classKPIMUtils_1_1EmailValidator.html</filename>
  </compound>
  <compound kind="class">
    <name>KPIMUtils::LinkLocator</name>
    <filename>classKPIMUtils_1_1LinkLocator.html</filename>
    <member kind="function">
      <type></type>
      <name>LinkLocator</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>ae6d94d993ad40bd59cf3b13889dfe360</anchor>
      <arglist>(const QString &amp;text, int pos=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~LinkLocator</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>a652ea8cd6cacfeb7b7ad89830586acc2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getEmailAddress</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>ac97e6fcb11fa8ac991d9b5d06107e88c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getUrl</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>a3331951250f3223645f82b20b2247c2a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxAddressLen</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>a10d092cd71a8b6949c1ee91be171e710</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxUrlLen</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>aa0e9d2354055f4a59f737066bfc67b7a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxAddressLen</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>a522c3fa92b6f4c349074884ad7ac0f85</anchor>
      <arglist>(int length)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxUrlLen</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>a1efd7d53ab0cb34c31c1347e445e762a</anchor>
      <arglist>(int length)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>convertToHtml</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>aad30cb1226658accda7765406fb51357</anchor>
      <arglist>(const QString &amp;plainText, int flags=0, int maxUrlLen=4096, int maxAddressLen=255)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>pngToDataUrl</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>aea4502c780ceef2d4a2c77bb6143216b</anchor>
      <arglist>(const QString &amp;iconPath)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>highlightedText</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>a64d0a1f2703db77114c943fedd740843</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mPos</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>ae013cb80a9a266c47eeb5f73eec1a39b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mText</name>
      <anchorfile>classKPIMUtils_1_1LinkLocator.html</anchorfile>
      <anchor>a0b0b615b56294ba30bb2473084384592</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIMUtils::NetworkAccessHelper</name>
    <filename>classKPIMUtils_1_1NetworkAccessHelper.html</filename>
    <member kind="function">
      <type></type>
      <name>NetworkAccessHelper</name>
      <anchorfile>classKPIMUtils_1_1NetworkAccessHelper.html</anchorfile>
      <anchor>a4cef15f7343e04a981c4f6672086c81e</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIMUtils::SpellingFilter</name>
    <filename>classKPIMUtils_1_1SpellingFilter.html</filename>
    <member kind="function">
      <type></type>
      <name>SpellingFilter</name>
      <anchorfile>classKPIMUtils_1_1SpellingFilter.html</anchorfile>
      <anchor>a708267698cecedd55d849a3a4afe519b</anchor>
      <arglist>(const QString &amp;text, const QString &amp;quotePrefix, UrlFiltering filterUrls=FilterUrls, EmailAddressFiltering filterEmailAddresses=FilterEmailAddresses, const QStringList &amp;filterStrings=QStringList())</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KPIMUtils::SuperClass</name>
    <filename>structKPIMUtils_1_1SuperClass.html</filename>
    <templarg></templarg>
    <base>SuperClassTrait&lt; Class &gt;</base>
  </compound>
  <compound kind="struct">
    <name>KPIMUtils::SuperClassTrait</name>
    <filename>structKPIMUtils_1_1SuperClassTrait.html</filename>
    <templarg>Super</templarg>
  </compound>
  <compound kind="class">
    <name>SuperClassTrait&lt; Class &gt;</name>
    <filename>structKPIMUtils_1_1SuperClassTrait.html</filename>
  </compound>
  <compound kind="group">
    <name>emailvalidation</name>
    <title>Email Validation Functions</title>
    <filename>group__emailvalidation.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>EmailParseResult</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>ga86cd0322770cfdc7df6621fcd32961e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AddressOk</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a95305ad962cc1d86ff0dbde62afe5b81</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>AddressEmpty</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a11def90701bc9d6281e8963ecef832fd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnexpectedEnd</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4afb5555bb89278c7b549fbd6a84b62f33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnbalancedParens</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4abf74ed9f2f30ffbcb536c625f77104a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MissingDomainPart</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4ab9f17af520f125163e4d1eca40a729ac</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnclosedAngleAddr</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a505058bb4aed2588cd152f3839c132e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnopenedAngleAddr</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a19ce4a4bc3f7f085b568a4be8421bae8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TooManyAts</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a138b5bc9762715535322749f56cc36fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnexpectedComma</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a5b9f951a82fdf4b14be63bcbdb5c2dcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TooFewAts</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a8d5af0f8b775e4d95c1ae2572efba3e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MissingLocalPart</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a6180ad1383a7668eeef894b1d9cbd716</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnbalancedQuote</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a218d2d0b1c94a2424a997905ae62fff4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DisallowedChar</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4af4736a216ddffabd6d5c9a62bbb70bf3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InvalidDisplayName</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a3fa5d2becf8d8979739a8f414144891f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TooFewDots</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gga86cd0322770cfdc7df6621fcd32961e4a0f4804eccd687894e642a8384012d4a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>emailParseResultToString</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gad6cfa61dc8f07d9cca4bd8c895c41b80</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>EmailParseResult</type>
      <name>isValidAddress</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>ga2d7c3eb0b6470a67f1690ae0e1289c12</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>EmailParseResult</type>
      <name>isValidAddressList</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gab466cffd3d3143cda07263c5efbb8426</anchor>
      <arglist>(const QString &amp;aStr, QString &amp;badAddr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSimpleAddress</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gadf2a1bc99ab8a016c1c782ac574a58de</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gaca6ec1f335526bf15c1bff10fad0d339</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>ga2674c9488e2d45c4afb89c98b1af4b36</anchor>
      <arglist>(const QByteArray &amp;address, QByteArray &amp;displayName, QByteArray &amp;addrSpec, QByteArray &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gac58d9ccc074a524e95af72372b507984</anchor>
      <arglist>(const QString &amp;address, QString &amp;displayName, QString &amp;addrSpec, QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>splitAddressList</name>
      <anchorfile>group__emailvalidation.html</anchorfile>
      <anchor>gac31a849c298710a0d6e363962e3759c3</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>emailextraction</name>
    <title>Email Extraction Functions</title>
    <filename>group__emailextraction.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>compareEmail</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>ga21797029db7501e5ca75d1ab6011b1e2</anchor>
      <arglist>(const QString &amp;email1, const QString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>extractEmailAddress</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>gaca5edc7b1a58c3b859e51c1eaaf98b0c</anchor>
      <arglist>(const QByteArray &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>extractEmailAddress</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>gade4583f4eaea1c6d3f7c6b8637d4adff</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>extractEmailAddressAndName</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>gadbdd026e5a877a832e036955a7fcdb4b</anchor>
      <arglist>(const QString &amp;aStr, QString &amp;mail, QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>firstEmailAddress</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>ga14c4a5aeb059e886fdade667d67115a8</anchor>
      <arglist>(const QByteArray &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>firstEmailAddress</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>gadb1de5ffad533f57ad5ab0f1007cf481</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizedAddress</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>ga9edf4af52487aa483261f032194c83e6</anchor>
      <arglist>(const QString &amp;displayName, const QString &amp;addrSpec, const QString &amp;comment=QString())</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>group__emailextraction.html</anchorfile>
      <anchor>ga9f2eec5b7c147888c8e5c2a67527e15f</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>emailidn</name>
    <title>Email IDN (punycode) handling</title>
    <filename>group__emailidn.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>fromIdn</name>
      <anchorfile>group__emailidn.html</anchorfile>
      <anchor>ga8afc7ffe91f1dcaf60f537f6519df347</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndDecodeIdn</name>
      <anchorfile>group__emailidn.html</anchorfile>
      <anchor>ga41ce79cbfb0ae33876aac16bd0de8510</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>normalizeAddressesAndEncodeIdn</name>
      <anchorfile>group__emailidn.html</anchorfile>
      <anchor>ga4e13e707612e5fb7c112b2e541f9bcb4</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>toIdn</name>
      <anchorfile>group__emailidn.html</anchorfile>
      <anchor>ga3a9e88d83f47d7c231e1218538e46b5e</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>kpimutils</title>
    <filename>index</filename>
  </compound>
</tagfile>
