<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>Syndication::AbstractParser</name>
    <filename>classSyndication_1_1AbstractParser.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~AbstractParser</name>
      <anchorfile>classSyndication_1_1AbstractParser.html</anchorfile>
      <anchor>a4959b9711e82d32c42fdce5924662cca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1AbstractParser.html</anchorfile>
      <anchor>ab98c6173e681ba87eec0f84f6594c8a5</anchor>
      <arglist>(const DocumentSource &amp;source) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>format</name>
      <anchorfile>classSyndication_1_1AbstractParser.html</anchorfile>
      <anchor>a03caed9f6fcd8327a6fdf6880e106005</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SpecificDocumentPtr</type>
      <name>parse</name>
      <anchorfile>classSyndication_1_1AbstractParser.html</anchorfile>
      <anchor>a49098a6ff1d01a706cc0e19a4bd454ea</anchor>
      <arglist>(const DocumentSource &amp;source) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Category</name>
    <filename>classSyndication_1_1Category.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Category</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>a5b1a72d47cb6f74a9aa9badf4baf95dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>ac17826966e58a869ab5e8530fb129c60</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>a2c882b029c9c95ac9a2a2c0694fb25b0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>label</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>a6b385f2185113be10f02874ebeeee360</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>scheme</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>ab7030b08a0b04ed77c8f189c723b42ea</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>term</name>
      <anchorfile>classSyndication_1_1Category.html</anchorfile>
      <anchor>ab71e908a3bb138b2530a12ad89c27fde</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::DataRetriever</name>
    <filename>classSyndication_1_1DataRetriever.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dataRetrieved</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>af5dd1af46dcd51d6a166c73d25b2894e</anchor>
      <arglist>(const QByteArray &amp;data, bool success)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DataRetriever</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>a86a9e2c1c9a6cccf047a41d3e1371cc7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DataRetriever</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>a90c903044d2982affef233fa112d3ebd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>abort</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>a65cd5b3bf022f0e67c66c1660c12a258</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>errorCode</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>ad1165f2bf6d331581281d68a2936b17e</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>retrieveData</name>
      <anchorfile>classSyndication_1_1DataRetriever.html</anchorfile>
      <anchor>a613a696cbae5e028dc3e867d6f72b34c</anchor>
      <arglist>(const KUrl &amp;url)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::DocumentSource</name>
    <filename>classSyndication_1_1DocumentSource.html</filename>
    <member kind="function">
      <type></type>
      <name>DocumentSource</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a4e7cbd8d40983e813801c69ef3c8dc1c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DocumentSource</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a2343cc34f2282d505e53e62b57034330</anchor>
      <arglist>(const QByteArray &amp;source, const QString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DocumentSource</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a8809367ba9273136445c3496bf353389</anchor>
      <arglist>(const DocumentSource &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DocumentSource</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a7ed881b313c82e3f96a0fbfdc0f3e510</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QByteArray</type>
      <name>asByteArray</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a23b3ae5666f466dbb4f864c59d0f4621</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QDomDocument</type>
      <name>asDomDocument</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a276f3ed98148834383ce7dd85221f2a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>hash</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a784e68f31e649666b6d838a44c00ca6c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>DocumentSource &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>ae4dbe3fdc31e75c683bc603d27a4ccb8</anchor>
      <arglist>(const DocumentSource &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>size</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>adf4655eaa7cbaf965ae4519c84b724f6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classSyndication_1_1DocumentSource.html</anchorfile>
      <anchor>a41833c779fcf788bc960fd4fcdd36f82</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::DocumentVisitor</name>
    <filename>classSyndication_1_1DocumentVisitor.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DocumentVisitor</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>a6450ea3ef547588c98a76860c610b5ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visit</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>a161756a3359bf55ab1f1e07efca68e89</anchor>
      <arglist>(SpecificDocument *document)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitAtomEntryDocument</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>aec4e9a24f2a102cf715726a338a9911c</anchor>
      <arglist>(Syndication::Atom::EntryDocument *document)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitAtomFeedDocument</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>ae384a113a1f06f3a34a4632616a3dace</anchor>
      <arglist>(Syndication::Atom::FeedDocument *document)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitRDFDocument</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>a6de85d2afd855a3326d6ca389c842877</anchor>
      <arglist>(Syndication::RDF::Document *document)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitRSS2Document</name>
      <anchorfile>classSyndication_1_1DocumentVisitor.html</anchorfile>
      <anchor>a0b50b3b0d6cf48107525951463378988</anchor>
      <arglist>(Syndication::RSS2::Document *document)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::ElementWrapper</name>
    <filename>classSyndication_1_1ElementWrapper.html</filename>
    <member kind="function">
      <type></type>
      <name>ElementWrapper</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a7337caab58c0ac59d7f50a7b8edd384d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ElementWrapper</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>ad9cf8a67b8a7cdea2b8b4d8ceb95dd0e</anchor>
      <arglist>(const ElementWrapper &amp;other)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ElementWrapper</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>aab71ab6955478247350f429f81f9b744</anchor>
      <arglist>(const QDomElement &amp;element)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ElementWrapper</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>af036b911d40cf30482a33467f7e4f569</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>attribute</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>ad799854cfdeaf88097e117af60d33fc0</anchor>
      <arglist>(const QString &amp;name, const QString &amp;defValue=QString()) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>attributeNS</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>afbd1f77eb63bf5166630320a2f61bd97</anchor>
      <arglist>(const QString &amp;nsURI, const QString &amp;localName, const QString &amp;defValue=QString()) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>childNodesAsXML</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>ab54d19bf17b45a1869a378a1a59f7293</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>completeURI</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a75150cb3728616851944e2c56cbcefbf</anchor>
      <arglist>(const QString &amp;uri) const</arglist>
    </member>
    <member kind="function">
      <type>const QDomElement &amp;</type>
      <name>element</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a19fc0e6422def688a85aab236bb719c6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QDomElement &gt;</type>
      <name>elementsByTagName</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>ab55a5b6c285b3cdb242fc32f8cea2168</anchor>
      <arglist>(const QString &amp;tagName) const</arglist>
    </member>
    <member kind="function">
      <type>QList&lt; QDomElement &gt;</type>
      <name>elementsByTagNameNS</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>ac1ff98b62b71c4fabdbf0bc57de328dc</anchor>
      <arglist>(const QString &amp;nsURI, const QString &amp;tagName) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>extractElementText</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a50e5f14ee2449a66636aef41a925d357</anchor>
      <arglist>(const QString &amp;tagName) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>extractElementTextNS</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>ad821f0ba66956add5be15cfc12f2620f</anchor>
      <arglist>(const QString &amp;namespaceURI, const QString &amp;localName) const</arglist>
    </member>
    <member kind="function">
      <type>QDomElement</type>
      <name>firstElementByTagNameNS</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a650939fb44fe9f30af777a62ae52a9f5</anchor>
      <arglist>(const QString &amp;nsURI, const QString &amp;tagName) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasAttribute</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>aac97aaf62da41e1de048d34e4eb63091</anchor>
      <arglist>(const QString &amp;name) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasAttributeNS</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a20c468c077863243dfd63b9a2cdfbda4</anchor>
      <arglist>(const QString &amp;nsURI, const QString &amp;localName) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a927ca88401f17ab5dd86369548143ce2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ElementWrapper &amp;</type>
      <name>operator=</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>ad2f036fdbb23af0ac410f022e625d5bf</anchor>
      <arglist>(const ElementWrapper &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a660a79453976d4f8e5fe260a65171c70</anchor>
      <arglist>(const ElementWrapper &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a4b20ef8f3e2a1ceae923236f3792ddc3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>xmlBase</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a31c9dace2fa3f4c2609ca7c7e5d3dbca</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>xmlLang</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>aad4245e96eaa8e59a6404ca57c544a57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>childNodesAsXML</name>
      <anchorfile>classSyndication_1_1ElementWrapper.html</anchorfile>
      <anchor>a4439ff7ffd489574ce73b14491c5f5b7</anchor>
      <arglist>(const QDomElement &amp;parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Enclosure</name>
    <filename>classSyndication_1_1Enclosure.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Enclosure</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a34b31383444e097e18a5bf2f2db3e71b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a58ac0336eaed983999c1685302726596</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>duration</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>ad91270ff3944f17efe86d21a69be4c6c</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a8b85533b19568fd6b2e946130adfeb40</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>length</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a8943f04eb4457ed6e283112aebb6e99b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>acf35346d42f01c23d04c211ba0bbba9f</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>type</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>a5ce52a32bf16167f680646db039264d5</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>url</name>
      <anchorfile>classSyndication_1_1Enclosure.html</anchorfile>
      <anchor>ab2f5292afaafaed4c21910f16e983940</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Feed</name>
    <filename>classSyndication_1_1Feed.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Feed</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a1850c43834d96e2bc6eee3c769e36c7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QMultiMap&lt; QString, QDomElement &gt;</type>
      <name>additionalProperties</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>acd17fbef7391e45dccafe7aea417e97c</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; PersonPtr &gt;</type>
      <name>authors</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>abc266f7c577db58589d118b499823e07</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; CategoryPtr &gt;</type>
      <name>categories</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a5067e97e03ddcabee2021b01467c5aef</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>copyright</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a5b9ae87a75c782e4e17850f6e4be0d2c</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>abcca502565906b0672a28c6a2c80473e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a4131d66a98b371406c72190e61b40439</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ImagePtr</type>
      <name>image</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a524b5a1bd1c0deb9d62b2cf7c901c762</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; ItemPtr &gt;</type>
      <name>items</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a90725d6e8c824767d606d33d5080ee79</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>language</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>aeceb3e5af583187d6bd6b93d9789609d</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>ab715c2dad2adcacc871741d09c2512b1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SpecificDocumentPtr</type>
      <name>specificDocument</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>a31e7d8bce92aaf10f4f8e23bd49ec7e4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1Feed.html</anchorfile>
      <anchor>aae4b3216828eb4b7f96fda4fccee165c</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::FileRetriever</name>
    <filename>classSyndication_1_1FileRetriever.html</filename>
    <base>Syndication::DataRetriever</base>
    <member kind="signal">
      <type>void</type>
      <name>permanentRedirection</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a518804a22f9c9507e17039b9c5d3949f</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FileRetriever</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>ad600efc83f80ea7029369258cac1167d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FileRetriever</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a7e944695846c61f6863ff47716fe8c76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>abort</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a8acd1f7620ebcc5fd5840b5bc19e9776</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>errorCode</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a9d501ea07fc19b8abeb9258e3766bbf2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>retrieveData</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a313251adcaed47131fc9d7ab353c0d6f</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setUseCache</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>aef4c6474705eab101fbae10e03be02a6</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setUserAgent</name>
      <anchorfile>classSyndication_1_1FileRetriever.html</anchorfile>
      <anchor>a8c4a16966f4c5220c778af12dcc72710</anchor>
      <arglist>(const QString &amp;userAgent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Image</name>
    <filename>classSyndication_1_1Image.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Image</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>aaf87facc57b9190538f6ca928cce9c66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>a31053cd294c0e6e6536e1815d87c038b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>addfc66c62a19356cf763b39eea57f09b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>height</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>a519573956d1afb318a3ac308522ffa03</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>ae0ce8f8867d15a215b9ee822225d1d89</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>a65a0c42b658d762636935a0d7a2d1586</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>aa8bfe23391cb0a9e8a99c6735da899c4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>url</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>ab089525a0f25dcd5c1761e100bf00221</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>width</name>
      <anchorfile>classSyndication_1_1Image.html</anchorfile>
      <anchor>a33bce045eab7b592a8d1c79c07a13c86</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Item</name>
    <filename>classSyndication_1_1Item.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Item</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>ad7af46029868552f9b2a0c933fbc4504</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QMultiMap&lt; QString, QDomElement &gt;</type>
      <name>additionalProperties</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>ab307bb6d9383c1ab22068e5c65455159</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; PersonPtr &gt;</type>
      <name>authors</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a908b67b6b8264462af09525ae2b348f7</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; CategoryPtr &gt;</type>
      <name>categories</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a290ba3bb3f9471f5f482c2a8eab12603</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>commentPostUri</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>ade1bb12453a9df2d176567bd243fe08e</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>commentsCount</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a876dc97472a2d0129e6297150ebd7808</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>commentsFeed</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a40bb96aa55371a92ce2ed6e0eaaae129</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>commentsLink</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>afe99264780127cfb9867b102d5656bff</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>content</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>af9fb63c3e8b57ab3db570bad95914149</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual time_t</type>
      <name>datePublished</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a37191ab233c8d6a180819bd2a7bacb58</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual time_t</type>
      <name>dateUpdated</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>ad93fa4af56cb67d9f12aa1e745b7913c</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a72641ab4291953788504767c790f61dd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a3dc7f0b3992eab7b169801386ea6aaaf</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QList&lt; EnclosurePtr &gt;</type>
      <name>enclosures</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a0329e891aa34ffbfc1baf163bda69196</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>id</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>afabe667b07cb879e0a60dd0b59d39ff3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>language</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a08c2696f9ab731cb610ee4c609c01a38</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>link</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>abc9a307fff5343cce1a137cc703a124d</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual SpecificItemPtr</type>
      <name>specificItem</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>adf4f440a3bdf63f09b98d2042d79f76c</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>title</name>
      <anchorfile>classSyndication_1_1Item.html</anchorfile>
      <anchor>a02aa5d5a913cb84e138890df615f1aec</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Loader</name>
    <filename>classSyndication_1_1Loader.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>loadingComplete</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>abc810aa819a7c8edc5aff356a2920e6a</anchor>
      <arglist>(Syndication::Loader *loader, Syndication::FeedPtr feed, Syndication::ErrorCode error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>abort</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>ac70585eee719d1d6879539bc3e63f541</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KUrl</type>
      <name>discoveredFeedURL</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>a4cf44794d0b8442dbbae1b028509d123</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ErrorCode</type>
      <name>errorCode</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>afd2b312310307a7c82ecb08b7112ff0a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadFrom</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>a966e3290ce15d5c195d25dcc901b435a</anchor>
      <arglist>(const KUrl &amp;url, DataRetriever *retriever)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadFrom</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>a6be7f5d4672a0758cebcc2ec94a8aaab</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>retrieverError</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>af9461ec135c692c19fc1050db0d92f77</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Loader *</type>
      <name>create</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>af904ff721d294dab91d0d3bdfd6c4c6f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Loader *</type>
      <name>create</name>
      <anchorfile>classSyndication_1_1Loader.html</anchorfile>
      <anchor>a811880955f7750d0f8d9a782d0fefc46</anchor>
      <arglist>(QObject *object, const char *slot)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Mapper</name>
    <filename>classSyndication_1_1Mapper.html</filename>
    <templarg>T</templarg>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Mapper</name>
      <anchorfile>classSyndication_1_1Mapper.html</anchorfile>
      <anchor>ad943f9a3f48df55f3d24cfbc5a665e58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual boost::shared_ptr&lt; T &gt;</type>
      <name>map</name>
      <anchorfile>classSyndication_1_1Mapper.html</anchorfile>
      <anchor>a09b56f66744da334b2c6a807b32f7408</anchor>
      <arglist>(SpecificDocumentPtr doc) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::OutputRetriever</name>
    <filename>classSyndication_1_1OutputRetriever.html</filename>
    <base>Syndication::DataRetriever</base>
    <member kind="function">
      <type></type>
      <name>OutputRetriever</name>
      <anchorfile>classSyndication_1_1OutputRetriever.html</anchorfile>
      <anchor>ac2bc4fb8c83f2a1c1e85e4d95ceefa38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~OutputRetriever</name>
      <anchorfile>classSyndication_1_1OutputRetriever.html</anchorfile>
      <anchor>a7220001d057f39cbc25885573be8b19a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>abort</name>
      <anchorfile>classSyndication_1_1OutputRetriever.html</anchorfile>
      <anchor>a4ae3b97ad2ffe3299e687eadfa36d374</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>errorCode</name>
      <anchorfile>classSyndication_1_1OutputRetriever.html</anchorfile>
      <anchor>a52f9a9c04b3a2a2dc8ed6fb44c31031c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>retrieveData</name>
      <anchorfile>classSyndication_1_1OutputRetriever.html</anchorfile>
      <anchor>ad5c039650a6583b31dd30038a223eda2</anchor>
      <arglist>(const KUrl &amp;url)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::ParserCollection</name>
    <filename>classSyndication_1_1ParserCollection.html</filename>
    <templarg></templarg>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ParserCollection</name>
      <anchorfile>classSyndication_1_1ParserCollection.html</anchorfile>
      <anchor>a1498602b04ddfe02ebd6adf04ff9039d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>changeMapper</name>
      <anchorfile>classSyndication_1_1ParserCollection.html</anchorfile>
      <anchor>a502192561d9a6dc6f1aaa9c19250c574</anchor>
      <arglist>(const QString &amp;format, Mapper&lt; T &gt; *mapper)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ErrorCode</type>
      <name>lastError</name>
      <anchorfile>classSyndication_1_1ParserCollection.html</anchorfile>
      <anchor>a1c1febf72c8d6e1ad731455ed0278a27</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual boost::shared_ptr&lt; T &gt;</type>
      <name>parse</name>
      <anchorfile>classSyndication_1_1ParserCollection.html</anchorfile>
      <anchor>ae71af2ec3e5322dba2b4cf90ce6e53f6</anchor>
      <arglist>(const DocumentSource &amp;source, const QString &amp;formatHint=QString())=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>registerParser</name>
      <anchorfile>classSyndication_1_1ParserCollection.html</anchorfile>
      <anchor>aee788d5173629c4051774f7a5c3de558</anchor>
      <arglist>(AbstractParser *parser, Mapper&lt; T &gt; *mapper)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::Person</name>
    <filename>classSyndication_1_1Person.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Person</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>aeaa61adf99086a9fefb1558ef180f23a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>aff82eddd9513bd86b512a1ccd4edd12d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>email</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>ae9307206c6202238eae311c4ac5d0acf</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isNull</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>ab2aeea8ef6df68792e44e0547326de9f</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>aa53d0cedb0abf2743a3a384c8c984fae</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>operator==</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>a20ba0ba5ef25110d463c07407dd1214d</anchor>
      <arglist>(const Person &amp;other) const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>uri</name>
      <anchorfile>classSyndication_1_1Person.html</anchorfile>
      <anchor>ab79733d2677779351148d1a1d7a55c68</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::SpecificDocument</name>
    <filename>classSyndication_1_1SpecificDocument.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SpecificDocument</name>
      <anchorfile>classSyndication_1_1SpecificDocument.html</anchorfile>
      <anchor>af3e4c34433054b106f164a901e8a4661</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1SpecificDocument.html</anchorfile>
      <anchor>a70cdb2a037b4a7a76cbdcc1df7e8a6b9</anchor>
      <arglist>(DocumentVisitor *visitor)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>debugInfo</name>
      <anchorfile>classSyndication_1_1SpecificDocument.html</anchorfile>
      <anchor>a6ecf5b10c7c5ecfc9903164841eb9ff3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isValid</name>
      <anchorfile>classSyndication_1_1SpecificDocument.html</anchorfile>
      <anchor>a7716929ba3e3b416179544f8f8d8c63f</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::SpecificItem</name>
    <filename>classSyndication_1_1SpecificItem.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SpecificItem</name>
      <anchorfile>classSyndication_1_1SpecificItem.html</anchorfile>
      <anchor>ac1a1e16080534515b04c1afe227acccb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>classSyndication_1_1SpecificItem.html</anchorfile>
      <anchor>a3eac407d0c49c86661a239909c1cd3b8</anchor>
      <arglist>(SpecificItemVisitor *visitor)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Syndication::SpecificItemVisitor</name>
    <filename>classSyndication_1_1SpecificItemVisitor.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SpecificItemVisitor</name>
      <anchorfile>classSyndication_1_1SpecificItemVisitor.html</anchorfile>
      <anchor>aa0f39b40b82213e23dbe620d8f4975bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visit</name>
      <anchorfile>classSyndication_1_1SpecificItemVisitor.html</anchorfile>
      <anchor>a80cf7b1bfbc6cdf2729b99a71555aa32</anchor>
      <arglist>(SpecificItem *item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitAtomEntry</name>
      <anchorfile>classSyndication_1_1SpecificItemVisitor.html</anchorfile>
      <anchor>a9fc541d0dd9ff1b43497f3c10e84ee25</anchor>
      <arglist>(Syndication::Atom::Entry *item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitRDFItem</name>
      <anchorfile>classSyndication_1_1SpecificItemVisitor.html</anchorfile>
      <anchor>ad0f388af41f2ca752ab1046513e47b08</anchor>
      <arglist>(Syndication::RDF::Item *item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>visitRSS2Item</name>
      <anchorfile>classSyndication_1_1SpecificItemVisitor.html</anchorfile>
      <anchor>a33f0b312dd70629a96566efb4ca31876</anchor>
      <arglist>(Syndication::RSS2::Item *item)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Syndication</name>
    <filename>namespaceSyndication.html</filename>
    <class kind="class">Syndication::AbstractParser</class>
    <class kind="class">Syndication::Category</class>
    <class kind="class">Syndication::DataRetriever</class>
    <class kind="class">Syndication::DocumentSource</class>
    <class kind="class">Syndication::DocumentVisitor</class>
    <class kind="class">Syndication::ElementWrapper</class>
    <class kind="class">Syndication::Enclosure</class>
    <class kind="class">Syndication::Feed</class>
    <class kind="class">Syndication::FileRetriever</class>
    <class kind="class">Syndication::Image</class>
    <class kind="class">Syndication::Item</class>
    <class kind="class">Syndication::Loader</class>
    <class kind="class">Syndication::Mapper</class>
    <class kind="class">Syndication::OutputRetriever</class>
    <class kind="class">Syndication::ParserCollection</class>
    <class kind="class">Syndication::Person</class>
    <class kind="class">Syndication::SpecificDocument</class>
    <class kind="class">Syndication::SpecificItem</class>
    <class kind="class">Syndication::SpecificItemVisitor</class>
    <member kind="enumeration">
      <type></type>
      <name>ErrorCode</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Success</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4afc529f9c4f5522dd1b4119293e398a68</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Aborted</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a9fff8c2ba122f9fb756985915c1d4d22</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Timeout</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a2cff188be930f0b29425414fedd6cc71</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UnknownHost</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a7930a09b176418452a009d69ee4297d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FileNotFound</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a602d3acd5244927ee6fb208118ac4fae</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>OtherRetrieverError</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a3a25b1f0a209f17222436aea681921d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InvalidXml</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a9192159f82cde4c10821c51c2b47813a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>XmlNotAccepted</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a9628f4626b0a506ed8aa2dbcf0bdb83d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>InvalidFormat</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>aaf92d762df59845c8a311e4d08e2d4e4a9c3f3a4173589c8823cf59495592512b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>commentApiNamespace</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>a3e724a3a649179ac0aa22580980c8ca8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>FeedPtr</type>
      <name>parse</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>ac1273810308439c2567fdddf47859149</anchor>
      <arglist>(const DocumentSource &amp;src, const QString &amp;formatHint=QString())</arglist>
    </member>
    <member kind="function">
      <type>ParserCollection&lt; Feed &gt; *</type>
      <name>parserCollection</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>af2e53b977bf4b6d9a28ee4cbffd482a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>slashNamespace</name>
      <anchorfile>namespaceSyndication.html</anchorfile>
      <anchor>a0f9d4576c4bb5e241eb33f2257a271be</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>syndication - an RSS/Atom parser library.</title>
    <filename>index</filename>
    <docanchor file="index" title="Purpose">purpose</docanchor>
    <docanchor file="index" title="Description">desc</docanchor>
  </compound>
</tagfile>
